Scheduler Zero
REST APIAPI referenceCampaigns

List campaigns

Requires the `campaign:read` permission.

GET
/campaigns

Requires the campaign:read permission.

Authorization

ApiKeyAuth
x-api-key<token>

API key created under Settings → API Keys. Scoped to a single workspace.

In: header

Query Parameters

offset?integer

Number of records to skip.

Range0 <= value
Default0
limit?integer

Page size (max 100).

Range1 <= value <= 100
Default20
search?string

Case-insensitive substring filter.

sortBy?string
Default"name"

Value in

  • "name"
  • "createdAt"
  • "updatedAt"
sortOrder?string
Default"asc"

Value in

  • "asc"
  • "desc"
status?string
Default"all"

Value in

  • "all"
  • "draft"
  • "active"
  • "paused"
  • "archived"
  • "completed"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/campaigns"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "status": "draft",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "totalPages": 0,    "currentPage": 0,    "pageSize": 0,    "offset": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}